[node-patches] Change in ovirt-node-iso[ovirt-3.5]: Add simple meta file verification

fabiand at fedoraproject.org fabiand at fedoraproject.org
Wed Jun 25 14:47:43 UTC 2014


Fabian Deutsch has uploaded a new change for review.

Change subject: Add simple meta file verification
......................................................................

Add simple meta file verification

Change-Id: I90d3b360969302400a6182964a0d8d70acc37e2c
Signed-off-by: Fabian Deutsch <fabiand at fedoraproject.org>
---
M meta.example
M ovirt-node-iso.spec
M verify-meta-file.sh
3 files changed, 11 insertions(+), 4 deletions(-)


  git pull ssh://gerrit.ovirt.org:29418/ovirt-node-iso refs/changes/09/29209/1

diff --git a/meta.example b/meta.example
index 51b4af9..7ebca1a 100644
--- a/meta.example
+++ b/meta.example
@@ -1,2 +1,4 @@
 PLATFORM_VERSION=19
-LAYERED_VERSION=3.5
+PLATFORM_RELEASE=20140102.0
+OVIRT_VERSION=3.5.0
+OVIRT_RELEASE=1
diff --git a/ovirt-node-iso.spec b/ovirt-node-iso.spec
index 73e295e..b965e39 100644
--- a/ovirt-node-iso.spec
+++ b/ovirt-node-iso.spec
@@ -115,6 +115,10 @@
 fi
 
 
+%check
+%SOURCE3 %{buildroot}/%{app_root}/%{_isoname}.iso.meta
+
+
 %files
 %defattr(0644,root,root,0755)
 %{app_root}
@@ -122,7 +126,6 @@
 %{app_root}/%{_isoname}.iso.meta
 %{app_root}/version-%{version}-%{release}.txt
 %{app_root}/vdsm-compatibility-%{version}-%{release}.txt
-
 
 
 %changelog
diff --git a/verify-meta-file.sh b/verify-meta-file.sh
index b7266c7..b357075 100755
--- a/verify-meta-file.sh
+++ b/verify-meta-file.sh
@@ -5,7 +5,7 @@
 METAFILE=$1
 
 die() { echo "ERROR $@" >&2 ; exit 42 ; }
-has() { echo "Checking for '$@'" ; egrep "^$@" $METAFILE || die "Missing/Invalid: '$@'" ; }
+has() { echo "Checking for '$@'" ; egrep "^$@$" $METAFILE || die "Missing/Invalid: '$@'" ; }
 
 [[ -n $METAFILE ]] || die "No metafile given, usage: $0 METAFILE"
 [[ -f $METAFILE ]] || die "metafile '$METAFILE' does not exist"
@@ -14,6 +14,8 @@
 
 # Match Fedora and CentOS versioning
 has "PLATFORM_VERSION=[0-9]+([.][0-9]+)?"
-has LAYERED_VERSION=[3][.][45]
+has "PLATFORM_RELEASE=[0-9]+([.][0-9]+)?"
+has "OVIRT_VERSION=[3][.][45]([.][0-9]+)?"
+has "OVIRT_RELEASE=[0-9]+"
 
 echo "Passed successfully."


-- 
To view, visit http://gerrit.ovirt.org/29209
To unsubscribe, visit http://gerrit.ovirt.org/settings

Gerrit-MessageType: newchange
Gerrit-Change-Id: I90d3b360969302400a6182964a0d8d70acc37e2c
Gerrit-PatchSet: 1
Gerrit-Project: ovirt-node-iso
Gerrit-Branch: ovirt-3.5
Gerrit-Owner: Fabian Deutsch <fabiand at fedoraproject.org>



More information about the node-patches mailing list